/* eslint-disable @typescript-eslint/no-unused-vars */
import type { CSSProperties } from 'vue'
import type { UploadItem } from './types'
import type { ProgressProps } from 'element-plus'

// 传入属性
export interface ImageUploadProps {
  // 已上传的列表
  modelValue: string
  // 上传路径
  action?: string
  fileName?: string
  // 是否自动上传
  autoUpload?: boolean
  // 是否启用拖拽上传
  drag?: boolean
  // 是否禁用
  disabled?: boolean
  // 是否点击预览
  preview?: boolean
  // 上传数量
  limit?: number
  // 是否可以多选
  multiple?: boolean
  // 文件大小限制(MB)
  fileSize?: number
  // 宽度
  width?: number | string
  // 高度
  height?: number | string
  // 图标大小
  iconSize?: number
  // 进度条配置
  progressProps?: ProgressProps
  // 上传方法
  uploadFunction?: (file: any) => Promise<any>
}

/* 事件 */
export const imageUploadEmits = {
  // 上传事件
  upload: (_value: UploadItem) => true,
  // 单个删除事件
  remove: (_value: UploadItem) => true,
  // 修改modelValue
  'update:modelValue': (_value: UploadItem[]) => true
}
