/* eslint-disable @typescript-eslint/no-unused-vars */

import type { CSSProperties } from 'vue'

export interface SplitPanelProps {
  // 默认大小
  size?: string
  // 最小尺寸
  minSize?: number
  // 最大尺寸
  maxSize?: number
  // 间距
  space?: string
  // 自定义样式
  customStyle?: Partial<CSSProperties> | Array<Partial<CSSProperties>>
  // 自定义内容样式
  bodyStyle?: Partial<CSSProperties> | Array<Partial<CSSProperties>>
  // 是否可折叠
  allowCollapse?: boolean
  // 折叠按钮样式
  collapseStyle?: Record<string, any>
  // 是否折叠
  collapse?: boolean
  // 是否垂直方向
  vertical?: boolean
  // 是否反向布局
  reverse?: boolean
  // 是否可拉伸宽度
  resizable?: boolean
}

/**
 * 事件
 */
export const splitPanelEmits = {
  // 更新折叠状态
  'update:collapse': (_collapse: boolean) => true
}
